/*
 * V7_5_To_V7_6.java
 *
 * Created on 26 de Setembro de 2006, 11:48
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package siprp.update.updates;

import com.evolute.utils.*;
import com.evolute.utils.arrays.*;
import com.evolute.utils.db.*;
import com.evolute.utils.sql.*;


/**
 *
 * @author fpalma
 */
public class V7_5_To_V7_6 
		implements siprp.update.Update
{
	
	/**
	 * Creates a new instance of V7_5_To_V7_6
	 */
	public V7_5_To_V7_6()
	{
	}
	
	public String []listChanges()
	{
		return new String[]{ "Alterar tabela dos processos" };
	}
	
	public double getStartVersion()
	{
		return 7.5;
	}
	
	public double getEndVersion()
	{
		return 7.6;
	}
	
	public void doUpdate()
		throws Exception
	{
		DBManager dbm = ( DBManager ) Singleton.getInstance( Singleton.DEFAULT_DBMANAGER );
		Executer executer = dbm.getSharedExecuter();
		com.evolute.utils.sql.Update update = 
				new com.evolute.utils.sql.Update( 
					"ALTER TABLE trabalhadores_processo ADD sub_motivo int4;" );
		executer.executeQuery( update );
	}
	
	public String toString()
	{
		return "v7.5 para v7.6";
	}
}
